# Update custom field

Updates a custom field.

Editable properties:

- name 
- description 
- options 
- default_value 
- is_visible_on_info_page
- is_visible_as_filter

Endpoint: PUT /custom_fields/{custom_field_id}
Version: v1
Security: AuthToken

## Header parameters:

  - `Content-Type` (string, required)
    Enum: "application/json"

## Path parameters:

  - `custom_field_id` (integer, required)
    Unique identifier for the resource instance.
    Example: 889

## Request fields (application/json):

  - `name` (string)
    The name of the custom field.
    Example: "Skills"

  - `description` (string)
    The description of the custom field.

  - `namespace` (string)
    The category for the custom field.
    Enum: "assignables", "users"

  - `default_value` (string)
    The value to be applied if none is specified.

Important: If the custom field is a selection list (that is, it has drop-down field options), the default_value must be one of the options values or an empty string.

  - `is_visible_on_info_page` (boolean)
    If true, the custom field is visible on the info page.

  - `is_visible_as_filter` (boolean)
    If true, the custom field is visible as a filter.

  - `is_editable_only_by_admins` (boolean)
    If true, only admins may edit this custom field. 

Note: This property is only applicable to custom fields that have namespace set to users.

  - `data_type` (string)
    The kind of data the custom field comprises.
    Enum: "string", "selection_list", "multiple_choice_selection_list"

  - `options` (array)
    An array of possible values for selection list custom fields.

This property only applies to custom fields of the following data types:

- "selection_list"
- "multiple_choice_selection_list"

Important: On creating a custom field with data type "selection_list" or "multiple_choice_selection_list", you must specify an options array.
    Example: ["Audio/Video","Graphic Design","UX","Analytics","Python","Ruby","JavaScript"]

## Response 200 fields (application/json):

  - `id` (integer)
    The unique identifier of the custom field.

  - `name` (string)
    The name of the custom field.
    Example: "Skills"

  - `description` (string)
    The description of the custom field.

  - `namespace` (string)
    The category for the custom field.
    Enum: "assignables", "users"

  - `default_value` (string)
    The value to be applied if none is specified.

Important: If the custom field is a selection list (that is, it has drop-down field options), the default_value must be one of the options values or an empty string.

  - `is_visible_on_info_page` (boolean)
    If true, the custom field is visible on the info page.

  - `is_visible_as_filter` (boolean)
    If true, the custom field is visible as a filter.

  - `is_editable_only_by_admins` (boolean)
    If true, only admins may edit this custom field. 

Note: This property is only applicable to custom fields that have namespace set to users.

  - `created_at` (string)
    Project creation date.
    Example: "2025-01-22T06:00:30Z"

  - `updated_at` (string)
    Date of the most recent modification.
    Example: "2025-01-22T06:13:40Z"

  - `data_type` (string)
    The kind of data the custom field comprises.
    Enum: "string", "selection_list", "multiple_choice_selection_list"

  - `options` (array)
    An array of possible values for selection list custom fields.

This property only applies to custom fields of the following data types:

- "selection_list"
- "multiple_choice_selection_list"

Important: On creating a custom field with data type "selection_list" or "multiple_choice_selection_list", you must specify an options array.
    Example: ["Audio/Video","Graphic Design","UX","Analytics","Python","Ruby","JavaScript"]


